Introducing FLEM - The Legacy Modder for legacy DirectX 9 and 10 cards.

Discussion in 'Videocards - AMD Radeon Drivers Section' started by AmiloMan, Jul 14, 2013.

  1. AmiloMan

    AmiloMan Master Guru

    Messages:
    333
    Likes Received:
    7
    GPU:
    Gigabyte R9 270X 4GB
    Awkward error, did you try installing it from Device Manager?
    How about Disabling Driver Signature Enforcement?
     
  2. AmiloMan

    AmiloMan Master Guru

    Messages:
    333
    Likes Received:
    7
    GPU:
    Gigabyte R9 270X 4GB
    Thanks for the link, yeah I remember those good old tweaks, its been a while since I saw that script it was a time saver for sure.
     
  3. neuneu

    neuneu New Member

    Messages:
    8
    Likes Received:
    0
    GPU:
    ati radeonX1700 mobility
    i did the all thing like in your guide: after modding 15.7.1 drivers with 10.2 legacy , i used amd utility, DDU and ccleaner . After reboot i disabled Driver Signature Enforcement and tried to install the modded driver from device manager: windows says my driver (VGA) is up to date: it's seems he don't recognize the new driver.
    the error message "installation de l'application:echec du package d'installation" appears trying install modded 15.7.1 from setup.exe.

    are 15.7.1 WHQL + 10.2 legacy (desktop) the good files too use for my x1700 mobility ?
    ps:sorry for my poor english.
     
  4. AmiloMan

    AmiloMan Master Guru

    Messages:
    333
    Likes Received:
    7
    GPU:
    Gigabyte R9 270X 4GB
    [QUOTE After reboot i disabled Driver Signature Enforcement and tried to install the modded driver from device manager: windows says my driver (VGA) is up to date:[/QUOTE]

    Yes the 15.7.1 should be fine with the 10.2 legacy base files. From your comment above it sounds like you are making windows search for the driver automatically, it says windows is upto date with which drivers?. Select the driver manually by selecting the bottom option "Browse my computer for driver software" ---> then again select the option that is below "Let me pick from a list of device drivers on my computer" and choose "have disk" on the bottom right of that screen and navigate to the folder where you have the modded driver to select the driver from the package manually.
    In French it might be a little different but the dialogs should be the same.
     
    Last edited: Dec 15, 2015

  5. neuneu

    neuneu New Member

    Messages:
    8
    Likes Received:
    0
    GPU:
    ati radeonX1700 mobility
    thanks for reply. ok i will try this and let you know the result.
     
  6. neuneu

    neuneu New Member

    Messages:
    8
    Likes Received:
    0
    GPU:
    ati radeonX1700 mobility
    ok! i succeed to install the drivers like you said. thks!!
    the 14.4 package is installed too.

    still no Hardware Acceleration in firefox :0/1 Basic (OMTC)
    powerplay not working in catalyst control center ( no choices) and on each reboot i get a BSOD "multiple irp complete requests".

    i would say the modding process is ok but my x1700 driver need some debugging.
     
  7. AmiloMan

    AmiloMan Master Guru

    Messages:
    333
    Likes Received:
    7
    GPU:
    Gigabyte R9 270X 4GB
    Great you succeeded customizing your driver :) Enabling firefox h/w acceleration is totally offtopic. Anyway... Assuming you are using the latest version here is how you can enable both opengl and DirectX.

    Type in the address bar

    about:config

    Search for gfx.
    Set these to true
    gfx.direct2d.force-enabled
    gfx.font_rendering.directwrite.enabled
    pdfjs.enableWebGL

    Search for WebGL

    Set these to True

    webgl.disable-angle
    webgl.force-enabled

    Set this to False
    webgl.disabled;

    Search for layers

    Set this to True

    layers.prefer-d3d9 < ----- this to False to use OpengL instead of DirectX

    Set this to False
    layers.prefer-opengl <--- Or this to True to use OpengL instead of DirectX
     
  8. neuneu

    neuneu New Member

    Messages:
    8
    Likes Received:
    0
    GPU:
    ati radeonX1700 mobility
    strange, gpu acceleration is on 1/1 Direct3D 9 (OMTC) but DirectWrite is not enabled .
    i think i will test modding some others drivers to see which is less buggy.

    Anyway thanks for your help and for FLEM: this is a great tool!
     
  9. kevsamiga1974

    kevsamiga1974 Master Guru

    Messages:
    881
    Likes Received:
    0
    GPU:
    EVGA GTX 580 SC
    Make sure your driver version (real or faked) is edited @ => 8.620 or above.

    Firefox 42/43 version check what driver version you have installed for blacklisting purposes....

    ...need to make it equal to 9.6 or above (even if you don't have it), or things will start getting disabled automatically in FF.
     
    Last edited: Dec 17, 2015
  10. neuneu

    neuneu New Member

    Messages:
    8
    Likes Received:
    0
    GPU:
    ati radeonX1700 mobility
    the driver version seems ok > 9.6.
    i just have this: DirectWrite activé: false (6.2.9200.17568).
     

  11. neock

    neock New Member

    Messages:
    9
    Likes Received:
    0
    GPU:
    AMD Radeon HD 3870 X2
    Hey kev i been installing all kind of drivers from 8.xx to 12.xx and none of them my crossfire was working on an 3870 x2 , but its strnage that with the latest legacy (12.6.13.1.13.9) crossfire is working. I've been follow the forums and u mention that u have an 4870x2 with crossfire working , but the problem here is that with these legacy drivers i always get BSOD . I recently installed ur 11.12 modded driver but crossfire isn't working second adapter shows disabled, Any doubts about this problem ?
     
  12. vejn

    vejn Maha Guru

    Messages:
    1,002
    Likes Received:
    0
    GPU:
    MSI 7870 TF3
    Guys, does legacy drivers support Win10 December insider preview?
     
  13. AmiloMan

    AmiloMan Master Guru

    Messages:
    333
    Likes Received:
    7
    GPU:
    Gigabyte R9 270X 4GB
    FLEM 3 Beta released.

    Here is the change log of the new version of FLEM that comes with a wider GPU support list and also now supports Windows 10 drivers.

    FLEM 3 Beta Changelog

    • Introduced Windows 10 64/32bit driver support.
    • New minimum system requirement of .NET 4.6.1 ***
    • Expanded card support to over 700+ card variants.
    • Added Application logging for better support.
    • Improved and enhanced GPU detection.
    • Fixed dual card customization bug.
    • Fixed 64bit OpenGL customizations.
    • Various other bug fixes.
    • Improved UI.
    • Application optimizations and tweaks.

    Download and guide at : http://digitalflem.mydiscussion.net/
     
  14. neock

    neock New Member

    Messages:
    9
    Likes Received:
    0
    GPU:
    AMD Radeon HD 3870 X2

    does this now supports dual gpu and crossfire ? for my 3870 x2. Nice job.
     
  15. HeLL

    HeLL Active Member

    Messages:
    61
    Likes Received:
    0
    GPU:
    EVGA GTX1080
    Trying FLEM to create a driver for Compaq 6715b with graphics PCI/VEN_1002&DEV_791F. Clean windows 10 32bit with fall update included.

    I'm following these steps: http://digitalflem.mydiscussion.net...-to-mod-the-latest-32bit-drivers-for-dx9-gpus using test mode.

    Graphics card detected as Microsoft basic adapter. I mod 15.7.1 win8 32 bit driver with 10.2 legacy vista 32bit beta files, LH_INF folder, and then manually install in device manager. I accept to use unsigned driver, then I get atikmdag.sys BSOD.

    Also tried FLEM 3 beta to mod 15.7.1 win10 driver instead win8 driver, but after clicking customize button I get some errors saying '52' is not valid for "Value", then 54, until 100 every par number. Finally it says "customized driver is ready", but I also get BSOD. No problems modding 15.7.1 win8 or 14.4 win8 with FLEM 3.

    Any ideas? Thank you in advance
     
    Last edited: Dec 23, 2015

  16. AmiloMan

    AmiloMan Master Guru

    Messages:
    333
    Likes Received:
    7
    GPU:
    Gigabyte R9 270X 4GB
    Hi, thanks for your feedback, could you pm me with a pasted log file so I can see what went wrong. You can find it in the FLEM installation folder.
    The BSOD's you are getting is because your system is rejecting that file, try using another legacy package as base e.g 9.11 or 9.3 and see how it behaves.
     
    Last edited: Dec 24, 2015
  17. DeMonsRO

    DeMonsRO Member

    Messages:
    26
    Likes Received:
    0
    GPU:
    2 gb
    Well.. in description/cocktail, the new FLEM support 15.8.1 legacy.. but i googled, and nothing about this driver.
    Btw.. and same error with the code 57.. if i press continue, they give me more numbers:D 60+
     
  18. AmiloMan

    AmiloMan Master Guru

    Messages:
    333
    Likes Received:
    7
    GPU:
    Gigabyte R9 270X 4GB
    OK!!! once you are done trolling maybe you can post a bug report while you are at it.
     
  19. DeMonsRO

    DeMonsRO Member

    Messages:
    26
    Likes Received:
    0
    GPU:
    2 gb
    I don't troll man. Wtf? If i press continue, they give me more number/code, exemple: 52, 54 etc..
    And yes, in the flem 3.0, you have 15.8.1 legacy, TEXT!! In cocktail lounge/maker.. Directx 10 card user can use ..... xxx version, and there are a 15.8.1.
    And still.. cannon install the display driver.

    A logs mein friend!

     
  20. Milosh

    Milosh Member

    Messages:
    33
    Likes Received:
    0
    GPU:
    Gigabyte Radeon 4870 X2
    Happy new year!!!

    I'm trying to install my 3850 under Windows 10 64bit (upgrade from win7).

    Downloaded:

    1. FLEM 3.0
    2. Newest 15.7.1 WHQL legacy driver from AMD site. (for 5xxx and 6xxx series)
    3. Latest legacy 13.9 for HD3xxx series

    Unpacked all, started FLEM, Checked 7 files, did the mod successfully, disabled digital signing, enabled test mode, cleaned everything with DDU. Rebooted into Win10

    Now, when i start driver installation, it offers me just to install HDMI driver and CCC. And when i do that i have no options for GPU in CCC.

    I also tried with newest WHQL driver for non legacy cards with same results.

    What am I doing wrong?
     
    Last edited: Jan 1, 2016

Share This Page